#
# Be sure to run `pod lib lint test.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html
#

Pod::Spec.new do |s|
  s.name             = 'AGKitCapture'
  s.version          = '0.3.6' # Swift 4.1 + CoreML Version with is Rceipt (ios 11+ only)
  s.summary          = 'AGCapture allow any developer to send document to our machine learning scanner system'
  
# This description is used to generate tags and improve search results.
#   * Think: What does it do? Why did you write it? What is the focus?
#   * Try to keep it short, snappy and to the point.
#   * Write the description between the DESC delimiters below.
#   * Finally, don't worry about the indent, CocoaPods strips it!

  s.description      = 'With AGCapture you can, in any apps, send document to Aboutgoods server system which will analyse image and send back to your AGKit instance data, either on server and/or on the app that launched the image analysis.'

  s.homepage         = 'https://aboutgoods-company.com'
  # s.screenshots     = 'www.example.com/screenshots_1', 'www.example.com/screenshots_2'
  s.license          = { :type => 'MIT', :file => 'LICENSE.md' }
  s.author           = { 'Aboutgoods Company' => 'contact@aboutgoods.net' }
  # s.social_media_url = 'https://twitter.com/<TWITTER_USERNAME>'

  s.ios.deployment_target = '10.0'
  s.source       = { :git => "https://gitlab.aboutgoods.net/dist/AGKitCapture-iOS.git", :tag => s.version.to_s }
  s.library      = 'z'
  s.frameworks   = 'AVFoundation', 'UIKit', 'Foundation'
  #s.xcconfig     =  { 'FRAMEWORK_SEARCH_PATHS' => '"$(PODS_ROOT)/AGKit-Capture/"' }
  s.requires_arc = true

  s.dependency 'AGKit'
  s.source_files = 'AGKitCapture.framework/Headers/*.{h}'
  s.vendored_frameworks = 'AGKitCapture.framework'
  #s.preserve_paths =  'AGKitCapture.framework/*'
  s.xcconfig = { 'FRAMEWORK_SEARCH_PATHS' => '"$PODS_CONFIGURATION_BUILD_DIR/*"'}

  
  # s.resource_bundles = {
  #   'test' => ['test/Assets/*.png']
  # }

  # s.public_header_files = 'Pod/Classes/**/*.h'
  # s.frameworks = 'UIKit', 'MapKit'
  # s.dependency 'AFNetworking', '~> 2.3'
end
